CombinedCoordPanel (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.gui
Class CombinedCoordPanel

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      com.bbn.openmap.gui.OMComponentPanel
                          com.bbn.openmap.gui.CombinedCoordPanel

All Implemented Interfaces:
  CenterListener, LightMapHandlerChild, PropertyConsumer, java.awt.event.ActionListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.beancontext.BeanContextChild, java.beans.beancontext.BeanContextMembershipListener, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible

    public class CombinedCoordPanel

extends OMComponentPanel
implements java.io.Serializable, java.awt.event.ActionListener, CenterListener

A JPanel containing a tabbed set of CoordPanels. Hitting the apply button not only notifies any CenterListeners of the coordinates stored in the active CoordPanel, it also causes the other CoordPanels to translate the active panel's values to their format. If the CombinedCoordPanel is given an ActionListener for the close button, a close button will be added to the panel. Otherwise, just the 'Apply' button will be added to the panel.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected javax.swing.JButton` | `applybutton`
`protected CenterSupport` | `centerDelegate`
`protected javax.swing.JButton` | `closebutton`
`static java.lang.String` | `CloseCmd`
`protected CoordPanel` | `coordPanel`
`protected DMSCoordPanel` | `dmsPanel`
`protected MGRSCoordPanel` | `mgrsPanel`
`protected javax.swing.JTabbedPane` | `tabPane`
`protected UTMCoordPanel` | `utmPanel`

Fields inherited from class com.bbn.openmap.gui.OMComponentPanel
`beanContextChildSupport, i18n, isolated, orientation, propertyPrefix, windowSupport`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface com.bbn.openmap.PropertyConsumer
`EditorProperty, initPropertiesProperty, LabelEditorProperty, ScopedEditorProperty`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`CombinedCoordPanel()` Creates a CombinedCoordPanel with Apply button.
`CombinedCoordPanel(java.awt.event.ActionListener closeButtonListener)` Creates a CombinedCoordPanel with Apply button, and a Close button if the closeButtonListener is not null.
`CombinedCoordPanel(java.lang.String comment, java.awt.event.ActionListener closeButtonListener)` Creates a CombinedCoordPanel with Apply and Close buttons with a specified comment above the tabbed panel.

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`
`void` | `addCenterListener(CenterListener listener)` Add a CenterListener to the listener list.
`void` | `center(CenterEvent centerEvent)`
`void` | `findAndInit(java.lang.Object someObj)` MapHandlerChild method.
`void` | `findAndUndo(java.lang.Object someObj)` MapHandlerChild method.
`LatLonPoint` | `getLatLon()`
`void` | `removeCenterListener(CenterListener listener)` Remove a CenterListener from the listener list.
`boolean` | `setCenter()` Tells the active CoordPanel to set the center of the map, firing a center event to all listeners.
`void` | `setLatLon(LatLonPoint llpoint)` Sets the contents of the latitude and longitude entry boxes in CoordPanel.
`protected void` | `setup(java.lang.String comment, java.awt.event.ActionListener closeButtonListener)` Create the panel and set up the listeners.

Methods inherited from class com.bbn.openmap.gui.OMComponentPanel
`addVetoableChangeListener, childrenAdded, childrenRemoved, findAndInit, fireVetoableChange, getBeanContext, getOrientation, getProperties, getPropertyInfo, getPropertyPrefix, getWindowSupport, isIsolated, removeVetoableChangeListener, setBeanContext, setIsolated, setOrientation, setProperties, setProperties, setPropertyPrefix, setWindowSupport`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.beans.beancontext.BeanContextChild
`addPropertyChangeListener, removePropertyChangeListener`

Field Detail

### closebutton

    protected transient javax.swing.JButton closebutton

### applybutton

    protected transient javax.swing.JButton applybutton

### tabPane

    protected transient javax.swing.JTabbedPane tabPane

### coordPanel

    protected transient CoordPanel coordPanel

### dmsPanel

    protected transient DMSCoordPanel dmsPanel

### utmPanel

    protected transient UTMCoordPanel utmPanel

### mgrsPanel

    protected transient MGRSCoordPanel mgrsPanel

### centerDelegate

    protected transient CenterSupport centerDelegate

### CloseCmd

    public static final java.lang.String CloseCmd

See Also:
  Constant Field Values

Constructor Detail

### CombinedCoordPanel

    public CombinedCoordPanel()

  Creates a CombinedCoordPanel with Apply button.

### CombinedCoordPanel

    public CombinedCoordPanel(java.awt.event.ActionListener closeButtonListener)

  Creates a CombinedCoordPanel with Apply button, and a Close button if the closeButtonListener is not null.

### CombinedCoordPanel

    public CombinedCoordPanel(java.lang.String comment,
                              java.awt.event.ActionListener closeButtonListener)

  Creates a CombinedCoordPanel with Apply and Close buttons with a specified comment above the tabbed panel.

Method Detail

### setup

    protected void setup(java.lang.String comment,
                         java.awt.event.ActionListener closeButtonListener)

  Create the panel and set up the listeners. Called from the constructor.

### getLatLon

    public LatLonPoint getLatLon()

  Returns:
    the LatLonPoint represented by contents of the entry boxes in the CoordPanel

### setLatLon

    public void setLatLon(LatLonPoint llpoint)

  Sets the contents of the latitude and longitude entry boxes in CoordPanel.

  Parameters:
    `llpoint` - the object contains the coordinates that should go in the boxes.

### setCenter

    public boolean setCenter()

  Tells the active CoordPanel to set the center of the map, firing a center event to all listeners.

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### addCenterListener

    public void addCenterListener(CenterListener listener)

  Add a CenterListener to the listener list.

  Parameters:
    `listener` - The CenterListener to be added

### removeCenterListener

    public void removeCenterListener(CenterListener listener)

  Remove a CenterListener from the listener list.

  Parameters:
    `listener` - The CenterListener to be removed

### center

    public void center(CenterEvent centerEvent)

  Specified by:
    `center` in interface `CenterListener`

### findAndInit

    public void findAndInit(java.lang.Object someObj)

  MapHandlerChild method. If the object is a MapBean, the CombinedCoordPanel will add it to itself as a CenterListener.

  Specified by:
    `findAndInit` in interface `LightMapHandlerChild`
  Overrides:
    `findAndInit` in class `OMComponentPanel`

### findAndUndo

    public void findAndUndo(java.lang.Object someObj)

  MapHandlerChild method. If the object is a MapBean, the CombinedCoordPanel will remove it from itself as a CenterListener.

  Specified by:
    `findAndUndo` in interface `LightMapHandlerChild`
  Overrides:
    `findAndUndo` in class `OMComponentPanel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details